import { Component, OnInit } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { Suffix } from 'src/app/models/suffix.model';
import { SuffixService } from 'src/app/services/suffix.service';
import { SuffixDetailsComponent} from 'src/app/components/suffix-details/suffix-details.component';
import { PrefixDetailsComponent } from '../prefix-details/prefix-details.component';


@Component({
  selector: 'app-suffix-list',
  providers: [SuffixDetailsComponent],
  templateUrl: './suffix-list.component.html',
  styleUrls: ['./suffix-list.component.scss']
})
export class SuffixListComponent implements OnInit {
  suffixs?:Suffix[];

  constructor(
    private suffixService: SuffixService,
    private suffixDetails: SuffixDetailsComponent,
    private route: ActivatedRoute,
    private router: Router) { }

  ngOnInit(): void {
    this.getAllSuffix(this.route.snapshot.params.id);
  }

  getAllSuffix(id: string): void {
    this.suffixService.getAll(id)
      .subscribe(
        data => {
          SuffixDetailsComponent.id.length =0;
          this.suffixs = data;
          for (var val of data) {
            //this.mainDetails.getMain(id, val.id);
            SuffixDetailsComponent.id.push(val.id);
          }
        },
        error => {
          console.log(error);
        });
  }

}
